Package net.sf.saxon.regex

## Class RegexPrecondition

- java.lang.Object
- - net.sf.saxon.regex.RegexPrecondition

-     public class RegexPrecondition
      extends java.lang.Object

  A precondition that must be true if a regular expression is to match

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `fixedPosition` |
    `int` | `minPosition` |
    `Operation` | `operation` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegexPrecondition​(Operation op, int fixedPos, int minPos)` | Create a precondition for a regular expression to be true

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### operation

          public Operation operation

    - #### fixedPosition

          public int fixedPosition

    - #### minPosition

          public int minPosition

  - ### Constructor Detail

    - #### RegexPrecondition

          public RegexPrecondition​(Operation op,
                                   int fixedPos,
                                   int minPos)

      Create a precondition for a regular expression to be true
      Parameters:
        `op` - the operation to be performed. The precondition is true if op.iterateMatches(p).hasNext() is true at some position p, subject to the constraints in the other two arguments
        `fixedPos` - indicates that the operation only needs to be tested at this position. Used when all previous parts of the regular expression are fixed length, and the regex starts with a "^" anchor. Defaults to -1, indicating that the operation needs to be tested at every position.
        `minPos` - indicates that the operation needs to be tested at this position and all subsequent positions within the input string (until a match is found or the end of the string is reached). Defaults to 0.